---
title: "Home Page"
date: 2023-09-13T14:56:47-07:00
draft: false
---
<section class="first content">
    <img src="/images/photo.jpg" class="circle center" width="320">

    <h1>Hello world! 👋</h1>

    <p>
        You have reached the personal homepage of <strong>Noah Petherbridge</strong>.
    </p>

    <p>
        I'm an introvert and a high-functioning computer nerd who lives near Portland, OR. I
        enjoy deep conversations about a wide variety of things -- you could say my pool of
        knowledge is (on average) inches deep but miles wide. There are a handful of things I get <em>really</em>
        passionate with and could talk forever about <small>(such as programming,
        Linux, and whatever's my latest obsession)</small> but also love to learn anything I
        can about the nature of the universe, astrophysics, spirituality, and all kinds of
        other rabbit holes.
    </p>

    <p>
        I write about random stuff on my <a href="https://www.kirsle.net/" target="_blank">web blog</a> and
        maintain a handful of open source projects on
        <a href="https://github.com/kirsle" target="_blank">GitHub</a>
        and <a href="https://git.kirsle.net/" target="_blank">git.kirsle.net</a>.
    </p>

    <h2>Software Development</h2>

    <p>
        I'm a full stack web developer and I program in Go, Python, and
        JavaScript. One of my largest personal projects is
        <a href="https://www.rivescript.com/" target="_blank">RiveScript</a>,
        a scripting language for programming chat bots &mdash; matching a user's
        message to a certain response. I programmed five different ports of
        RiveScript in different programming languages: Perl, Java, JavaScript,
        Python, and Go.
    </p>

    <p>
        My web blog, <a href="https://www.kirsle.net/" target="_blank">Kirsle.net</a>,
        is written in Go and I keep that source code <a href="https://github.com/kirsle/blog" target="_blank">here</a>
        for now. Previously it was written in
        <a href="https://git.kirsle.net/apps/rophako" target="_blank">Python</a>
        and its <a href="https://git.kirsle.net/kirsle/kirsle.net" target="_blank">HTML pages</a>
        are readable too. The site you're reading is a simple Python-generated
        static site <a href="https://git.kirsle.net/kirsle/noah.is">here</a>.
    </p>

    <p>
        You may learn a little more about my projects and check out some examples
        of my work on my <a href="/portfolio">Portfolio</a> page. Also see my
        <a href="/a-software-developer">software development skills</a> page
        and <a href="/social">get in touch</a> with me if you want!
    </p>
</section>
